{% extends "layout/layout.njk" %}

{% block content %}
    <section class="section">

        <div class="columns">
            <div class="column is-8-desktop is-offset-2-desktop">

                <h1 class="title">
                    About
                </h1>

            </div> {# end .column #}
        </div> {# end .columns #}

        <div class="columns">
            <div class="column is-8-desktop is-offset-2-desktop">
                <div class="card">

                    <div class="card-content">
                        <div class="content">
                            <p class="has-text-centered">
                                <img src="{{ url('img/banner.png') }}">
                            </p>

                            <hr>

                            <p class="has-text-justified">
                                <u>Parker</u> is the prototype of a <u>parking management application</u> developed for a scientific
                                work which explores the benefits and drawbacks of integrating new technologies into
                                a business development environemnt.
                            </p>
                            <p>
                                This project makes use of the following <u>Open Source Software</u>:
                                <ul>
                                    <li><a href="https://nodejs.org/en/">Node.js</a></li>
                                    <li><a href="https://www.mongodb.com/">MongoDB Community Server</a></li>
                                    <li><a href="https://redis.io/">Redis</a></li>
                                </ul>
                            </p>
                            <p>
                                Furthermore a lot of dependencies are required in the background to bring life to this application:
                                {% if dependencies === null %}
                                    <p class="has-text-danger">Failed to load dependencies!</p>
                                {% else %}
                                    <ul>
                                        {% for dependency in dependencies %}
                                        <li><a href="https://npmjs.com/package/{{ dependency }}">{{ dependency }}</a></li>
                                        {% endfor %}
                                    </ul>
                                {% endif %}
                            </p>

                        </div> {# end .content #}
                    </div> {# end .card-content #}

                </div> {# end .card #}
            </div> {# end .column #}
        </div> {# end .columns #}
    </section>
{% endblock %}
